Method: forwarders.importStatsEvents

Full name: projects.locations.instances.forwarders.importStatsEvents

forwarders.importStatsEvents imports stats events from a forwarder.

HTTP request

POST https://{endpoint}/v1/{name}:importStatsEvents

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
name

string

Required. The ID of the forwarder. Format: projects/{project}/locations/{location}/instances/{instance}/forwarders/{forwarder}

Request body

The request body contains data with the following structure:

JSON representation
{

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "inlineSource": {
    object (InlineSource)
  }
  // End of mutually exclusive fields.
}
Fields
The source of the events to be imported. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
inlineSource

object (InlineSource)

StatsEvents to be imported are specified inline.

End of mutually exclusive fields.

Response body

If successful, the response body is empty.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • chronicle.forwarders.importStatsEvents

For more information, see the IAM documentation.

InlineSource

An import source with the events to import included inline.

JSON representation
{
  "events": [
    {
      object (IngestionStatsEvent)
    }
  ],
  "eventBatchId": string
}
Fields
events[]

object (IngestionStatsEvent)

Required. The events being imported.

eventBatchId

string (bytes format)

Required. Batch Id to use when ingesting StatsEvents.

A base64-encoded string.

IngestionStatsEvent

message to represent the stats related event forwarder will send.

JSON representation
{
  "eventTime": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "stats": {
    object (StatsEvent)
  },
  "agentStats": {
    object (AgentStatsEvent)
  }
  // End of mutually exclusive fields.
}
Fields
eventTime

string (Timestamp format)

Required. The timestamp of the event.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

The stats event to be imported, either StatsEvent or AgentStatsEvent. The following is a list of mutually exclusive fields. At most one of the fields will be set in a response:
stats

object (StatsEvent)

StatsEvent generated by the forwarder.

agentStats

object (AgentStatsEvent)

AgentStatsEvent generated by the collection agent.

End of mutually exclusive fields.